curl --request PATCH \
--url https://api.thatsme.com.br/api/v1.0/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"state": "<string>",
"city": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"timezone": "<string>",
"address": "<string>",
"initial_date": "<string>",
"finish_date": "<string>",
"official_url": "<string>",
"image_url": "<string>",
"image_key": "<string>",
"is_private": true,
"start_time": "<string>",
"end_time": "<string>",
"recurrence_start_date": "<string>",
"connected_event_ids": [
"<string>"
]
}
'import requests
url = "https://api.thatsme.com.br/api/v1.0/events/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"state": "<string>",
"city": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"timezone": "<string>",
"address": "<string>",
"initial_date": "<string>",
"finish_date": "<string>",
"official_url": "<string>",
"image_url": "<string>",
"image_key": "<string>",
"is_private": True,
"start_time": "<string>",
"end_time": "<string>",
"recurrence_start_date": "<string>",
"connected_event_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
state: '<string>',
city: '<string>',
country: '<string>',
latitude: 123,
longitude: 123,
timezone: '<string>',
address: '<string>',
initial_date: '<string>',
finish_date: '<string>',
official_url: '<string>',
image_url: '<string>',
image_key: '<string>',
is_private: true,
start_time: '<string>',
end_time: '<string>',
recurrence_start_date: '<string>',
connected_event_ids: ['<string>']
})
};
fetch('https://api.thatsme.com.br/api/v1.0/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Atualizar um evento específico
Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
ID do evento
Corpo
Nome do evento
Descrição do evento
Categoria do evento
SPORTS, EDUCATION, CORPORATE, SOCIOCULTURAL Tipo de localização do evento
PHYSICAL, ONLINE State or province of the event.
City of the event.
ISO 3166-1 alpha-2 country code.
Latitude of the event location.
Longitude of the event location.
IANA timezone identifier.
Full formatted address.
Data de início em formato ISO 8601
Data de término em formato ISO 8601
URL oficial do evento
URL pública da imagem do evento
Identificador da imagem no storage da That's Me (ex.: S3)
Define se o evento é privado
Modo de datas do evento
SINGLE_DATE, DATE_RANGE, RECURRING, ALWAYS_AVAILABLE Horário de início (quando aplicável)
Horário de término (quando aplicável)
Tipo de recorrência
WEEKLY, BIWEEKLY, MONTHLY, BIMONTHLY, QUARTERLY, SEMIANNUAL, ANNUAL Data de início da recorrência em formato ISO 8601
Lista de IDs de eventos conectados
Resposta
Evento atualizado com sucesso